hugo (0.162.1-5) unstable; urgency=medium

  * Fix patch

 -- Jérémy Lal <kapouer@melix.org>  Tue, 14 Jul 2026 23:28:17 +0200

hugo (0.162.1-4) unstable; urgency=medium

  * Basically all avif tests fail on non-amd64/arm64

 -- Jérémy Lal <kapouer@melix.org>  Tue, 14 Jul 2026 17:42:46 +0200

hugo (0.162.1-3) unstable; urgency=medium

  * Skip webp tests on more archs

 -- Jérémy Lal <kapouer@melix.org>  Tue, 14 Jul 2026 14:56:09 +0200

hugo (0.162.1-2) unstable; urgency=medium

  * patch: unpin tests dependency on esbuild version.
    Closes: #1140254.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 14 Jul 2026 01:21:15 +0200

hugo (0.162.1-1) unstable; urgency=medium

  * New upstream version 0.162.1
    - Refresh patches
    - Skip more tests which need go.mod or internet
    - Update Build-Depends:
      + golang-github-bep-helpers-dev (>= 0.12.0)
      + golang-github-tetratelabs-wazero-dev (>= 1.12.0)
  - Update local copy of github.com/bep/golocales to 0.2.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 04 Jun 2026 10:30:01 +0200

hugo (0.161.1-1) unstable; urgency=medium

  * New upstream version 0.161.1
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 04 May 2026 10:55:35 +0200

hugo (0.161.0-1) unstable; urgency=medium

  * New upstream version 0.161.0
    - Refresh patches
    - Update Build-Depends according to go.mod
    - Add new patch to skip test which needs internet for npm

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 28 Apr 2026 22:02:21 +0200

hugo (0.160.1-1) unstable; urgency=medium

  * New upstream version 0.160.1
    - Refresh patches
  * Remove local copy of github.com/getkin/kin-openapi
  * Build-Depend on golang-github-getkin-kin-openapi-dev
  * Remove local copy of github.com/gohugoio/hugo-goldmark-extensions
  * Build-Depend on golang-github-gohugoio-hugo-goldmark-extensions-dev
  * Update Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 10 Apr 2026 17:19:21 +0200

hugo (0.160.0-2) unstable; urgency=medium

  * Update hugo-goldmark-extensions

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 08 Apr 2026 10:18:15 +0200

hugo (0.160.0-1) unstable; urgency=medium

  * New upstream version 0.160.0
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 07 Apr 2026 20:50:32 +0200

hugo (0.159.2-1) unstable; urgency=medium

  * New upstream version 0.159.2
    - Refresh patches
    - Build-Depend on Go 1.25 or later
  * Remove local copy of github.com/bep/textandbinarywriter
  * Build-Depend on golang-github-bep-textandbinarywriter-dev
  * Mark patch as not needing to be forwarded
  * Update Standards-Version to 4.7.4

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 03 Apr 2026 13:57:33 +0200

hugo (0.159.1-1) unstable; urgency=medium

  * New upstream version 0.159.1
    - Update versioned Build-Depends on golang-github-tdewolff-minify-dev
  * Add ppc64 to list of failing architectures for WebP test

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 30 Mar 2026 10:11:37 +0200

hugo (0.159.0-1) unstable; urgency=medium

  * New upstream version 0.159.0
    - Refresh patches
  * Remove patch for Go 1.24, default is now Go 1.26

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Mar 2026 09:18:01 +0100

hugo (0.158.0-3) unstable; urgency=medium

  * Remove tests which need at least Go 1.25

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 20 Mar 2026 11:50:18 +0100

hugo (0.158.0-2) unstable; urgency=medium

  * Skip tests which need at least Go 1.25 (the autopkgtest builders
    still use Go 1.24)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 19 Mar 2026 22:57:39 +0100

hugo (0.158.0-1) unstable; urgency=medium

  * New upstream version 0.158.0
    - Refresh patches
    - Add Forwarded: not-needed to patch
    - Add local copy of github.com/bep/golocales
    - Remove local copy of github.com/gohugoio/localescompressed
    - Skip another new test which needs internet connection
  * Add some more failing architectures to skipped tests

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 19 Mar 2026 13:57:56 +0100

hugo (0.157.0-3) unstable; urgency=medium

  * Update patch to disable flaky WebP tests on i386

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 28 Feb 2026 19:55:09 +0100

hugo (0.157.0-2) unstable; urgency=medium

  * Update patch to disable flaky WebP tests on loong64

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 28 Feb 2026 15:44:28 +0100

hugo (0.157.0-1) unstable; urgency=medium

  * New upstream version 0.157.0
    - Fixes FTBFS with golang 1.26 (Closes: #1129126)
    - Update test with a distant future date, so that the
      build will not fail during the forky support period.
      (Closes: #1127121)
    - Refresh patches
    - New patch to remove more tests which need an
      internet connection
    - Update file path in DH_GOLANG_INSTALL_EXTRA,
      has been renamed upstream
    - Add Build-Depends:
      + golang-github-bep-imagemeta-dev (>= 0.17.0)
      + golang-github-gohugoio-gift-dev
    - Remove local copy of github.com/gohugoio/gift

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 27 Feb 2026 19:58:10 +0100

hugo (0.155.3-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.155.3

  [ Otto Kekäläinen ]
  * Salsa CI: Even when disabled, the CI file needs to be valid YAML

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 14 Feb 2026 17:53:16 +0100

hugo (0.155.2-1) unstable; urgency=medium

  * New upstream version 0.155.2
  * Remove local copy of github.com/bep/imagemeta
  * Add golang-github-bep-imagemeta-dev (>= 0.14.0) to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 07 Feb 2026 18:13:08 +0100

hugo (0.155.1-1) unstable; urgency=medium

  * New upstream version 0.155.1
    - Refresh patches
    - Add new upstream files to d/copyright
    - Update build dependencies according to go.mod
    - Update local copy of bep/imagemeta to v0.14.0
  * Remove local copy of github.com/tetratelabs/wazero
  * Add golang-github-tetratelabs-wazero-dev (>= 1.11.0) to Build-Depends
  * Add local copy of github.com/gohugoio/gift v0.2.0
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Jan 2026 16:10:24 +0100

hugo (0.154.5-1) unstable; urgency=medium

  * New upstream version 0.154.5
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Jan 2026 20:59:22 +0100

hugo (0.154.3-1) unstable; urgency=medium

  * New upstream version 0.154.3
    - Refresh and extend patches
  * Add format for upstream-vcs-tag to gbp.conf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 07 Jan 2026 20:52:28 +0100

hugo (0.154.2-2) unstable; urgency=medium

  * Skip tests on failing architectures

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 06 Jan 2026 21:22:33 +0100

hugo (0.154.2-1) unstable; urgency=medium

  * New upstream version 0.154.2
    - Refresh patch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Jan 2026 22:14:31 +0100

hugo (0.154.1-1) unstable; urgency=medium

  * New upstream version 0.154.1
    - Refresh patches
    - Update local copy of github.com/tetratelabs/wazero to v1.11.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 02 Jan 2026 23:33:23 +0100

hugo (0.153.2-1) unstable; urgency=medium

  * New upstream version 0.153.2
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3
  * Add libwebp7 to Depends of binary package

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 23 Dec 2025 18:15:52 +0100

hugo (0.153.1-3) unstable; urgency=medium

  * Fix patch to skip actual failing test. D'oh!

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Dec 2025 19:19:17 +0100

hugo (0.153.1-2) unstable; urgency=medium

  * Add patch to enable building on i386 and armhf
    The WebP image with an animation cannot be processed on those
    architectures, the test times out. Disable the test for now
    and investigate the problem.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Dec 2025 17:26:57 +0100

hugo (0.153.1-1) unstable; urgency=medium

  * New upstream version 0.153.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 21 Dec 2025 22:50:35 +0100

hugo (0.153.0-1) unstable; urgency=medium

  * New upstream version 0.153.0
    - Refresh patches
    - Add local copy of github.com/bep/textandbinarywriter
    - Add local copy of github.com/gohugoio/go-radix
    - Remove local copy of github.com/gohugoio/testmodBuilder
    - Update local copy of github.com/tetratelabs/wazero to v1.10.1
    - Update build dependencies according to go.mod
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 20 Dec 2025 00:36:26 +0100

hugo (0.152.2-1) unstable; urgency=medium

  * New upstream version 0.152.2
    - Update dependency on golang-github-tdewolff-parse-dev and
      golang-github-tdewolff-minify-dev
  * Increase minimum version of go to 1.23.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Oct 2025 23:50:23 +0100

hugo (0.152.1-1) unstable; urgency=medium

  * New upstream version 0.152.1
    - Update build dependencies as per go.mod
    - Update go-i18n to commit cfcc22d823c65debe8bab0b73a1057c16e9672b6
    - Update Build-Depends:
      - Remove golang-github-ghodss-yaml-dev
      - Add golang-github-goccy-go-yaml-dev
  * Skip flaky test during autopkgtest on riscv64
  * Use Debian package golang-github-microcosm-cc-bluemonday-dev
    instead of local copy
  * Try enabling more architectures for hugo by using golang-any
    instead of golang-go.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Oct 2025 22:43:14 +0200

hugo (0.151.2-1) unstable; urgency=medium

  * New upstream version 0.151.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 17 Oct 2025 15:18:35 +0200

hugo (0.151.1-1) unstable; urgency=medium

  * New upstream version 0.151.1
    - Update Build-Depends on golang-github-gohugoio-hashstructure-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 16 Oct 2025 17:55:26 +0200

hugo (0.151.0-1) unstable; urgency=medium

  * New upstream version 0.151.0
    - Remove patch for s390x, has been applied upstream
    - New Build-Depends: golang-github-johanneskaufmann-html-to-markdown-dev
    - Update Build-Depends golang-github-gohugoio-httpcache-dev (>= 0.8.0)
  * Use Debian packages instead of local copies.
  * Update changelog with missing bug numbers
  * Update patch descriptions, forward patch to upstream
  * Clean up d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 04 Oct 2025 10:21:33 +0200

hugo (0.150.1-1) unstable; urgency=medium

  * New upstream version 0.150.1
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Sep 2025 22:38:31 +0200

hugo (0.150.0-1) unstable; urgency=medium

  * New upstream version 0.150.0
    - Escapes some HTML attributes in Markdown in the internal templates.
      Fixes CVE-2024-55601. Closes: #1089683
    - Fixes FTBFS. Closes: #1115127
    - Fixes autopkgtest. Closes: #1111771
    - Refresh patches
    - Reformat patch headers
    - Add new patches to disable tests which require internet access
    - Update versioned dependencies
    - Update local copy of hugo-goldmark-extensions
    - Update local copy of bep/imagemeta to v0.12.0
    - Add local copy of github.com/bep/goportabletext
    - Add local copy of github.com/kyokomi/emoji
    - Add local copy of github.com/microcosm-cc/bluemonday
    - Add local copy of github.com/tetratelabs/wazero
    - Add golang-github-aymerick-douceur-dev to Build-Depends
    - Add golang-github-gorilla-css-dev to Build-Depends
    - Add golang-rsc-qr-dev to Build-Depends
    - Add golang-github-pkg-browser-dev to Build-Depends
    - Include wasm files
    - Include internal/js/esbuild files
    - Copy all the testscripts for testing
  * Update debian/watch to v5
  * Update d/copyright
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.2, no changes needed
  * Disable use of pristine-tar
  * Use wrap-and-sort -astkb
  * Do not install the internal/warpc/gen binary
  * Update lintian overrides with current path

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Sep 2025 00:39:27 +0200

hugo (0.131.0-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream fix for newer version of
    golang-github-olekukonko-tablewriter

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 17:04:35 +0000

hugo (0.131.0-1) unstable; urgency=medium

  * New upstream version 0.131.0
  * Update versioned dependencies in debian/control as per go.mod; also:
    - Bump github.com/bep/imagemeta from v0.7.4 to v0.7.5
    - Replace github.com/mitchellh/hashstructure v1.1.0
      with github.com/gohugoio/hashstructure v0.1.0
    - Simplify execute_after_dh_auto_configure for the installation
      of locally included github.com/gohugoio/* modules
  * Revert "Fix build with Go1.23"
    Remove 0005-Fix-build-with-Go1.23.patch which was backported from this
    upstream release.
    This reverts commit fb0248b668f60b93ee37f6a31c70ba3bfa2bc33b.

 -- Anthony Fok <foka@debian.org>  Mon, 02 Sep 2024 19:15:37 -0600

hugo (0.130.0-2) unstable; urgency=medium

  * Reorder and renumber Debian patches in original chronological order.
  * Add 0006-workaround-s390x-precision-of-atan-and-tan.patch.
    On s390x, math.Atan(1) and math.Tan(1) give values that slightly differ
    from other architectures, causing TestTemplateFuncsExamples to fail.
    This patch adds a workaround to fix FTBFS on s390x.

 -- Anthony Fok <foka@debian.org>  Fri, 30 Aug 2024 10:01:57 -0600

hugo (0.130.0-1) unstable; urgency=medium

  * New upstream version 0.130.0
  * Add local copy of github.com/bep/imagemeta v0.7.4, without the
    testdata/ directory of test images, the copyright of which
    needs further research
    Note: metadecoder_iptc_fields.json (for embedding) needs to be added
    manually because txtar-addmod, used for fetching
    github.com/bep/imagemeta, does not include any non-Go files
  * Skip TestTailwindV4Basic on armel for which no prebuilt
    @parcel/watcher is available.  Fixes autopkgtest on armel.

 -- Anthony Fok <foka@debian.org>  Sun, 18 Aug 2024 06:22:12 -0600

hugo (0.129.0-2) unstable; urgency=medium

  * Team upload
  * Fix build with Go1.23

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Aug 2024 01:51:38 +0800

hugo (0.129.0-1) unstable; urgency=medium

  * New upstream version 0.129.0
  * Bump versioned dependencies as per go.mod
  * Add temporary local copy of github.com/mitchellh/hashstructure v1.1.0.
    golang-github-mitchellh-hashstructure-dev was inadvertently upgraded
    to v2.0.2, which is incompatible with v1.1.0, for Docker 26.1.4+dfsg1-9.
    That said, Hugo v0.131.0 bumps to its own fork of
    github.com/mitchellh/hashstructure/v2 v2.0.2 because it is no longer
    maintained.
    Fixes "FTBFS: src/github.com/gohugoio/hugo/identity/identityhash.go:47:37:
    not enough arguments in call to hashstructure.Hash".
    Thanks to Santiago Vila for notifying me of the FTBFS! (Closes: #1078283)
  * Update Files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 10 Aug 2024 07:45:38 -0600

hugo (0.128.2-2) unstable; urgency=medium

  * Skip TestTailwindV4Basic except for amd64 (x64), arm and arm64.
    This avoids the following error on architectures with no prebuilt
    @parcel/watcher, e.g. for i386:
        Error: No prebuild or local build of @parcel/watcher found.  Tried
        @parcel/watcher-linux-ia32-glibc.  Please ensure it is installed
        (don't use --no-optional when installing with npm). Otherwise it is
        possible we don't support your platform yet.  If this is the case,
        please report an issue to https://github.com/parcel-bundler/watcher.
    See https://www.npmjs.com/search?q=%40parcel%2Fwatcher-linux for
    architectures where prebuilds currently exist.

 -- Anthony Fok <foka@debian.org>  Mon, 15 Jul 2024 00:08:31 -0600

hugo (0.128.2-1) unstable; urgency=medium

  * New upstream version 0.128.2
  * Bump local github.com/gohugoio/hugo-goldmark-extensions/extras to v0.2.0
  * Bump versioned dependencies as per go.mod
  * Refresh 0004-skip-tests-that-access-the-internet.patch

 -- Anthony Fok <foka@debian.org>  Sun, 14 Jul 2024 07:19:04 -0600

hugo (0.127.0-1) unstable; urgency=medium

  * New upstream version 0.127.0
  * Add local copy of github.com/gohugoio/httpcache

 -- Anthony Fok <foka@debian.org>  Sat, 15 Jun 2024 08:21:13 -0600

hugo (0.126.3-1) unstable; urgency=medium

  * New upstream version 0.126.3

 -- Anthony Fok <foka@debian.org>  Tue, 04 Jun 2024 00:13:21 -0600

hugo (0.126.2-1) unstable; urgency=medium

  * New upstream version 0.126.2

 -- Anthony Fok <foka@debian.org>  Fri, 31 May 2024 10:10:44 -0600

hugo (0.126.1-1) unstable; urgency=medium

  * New upstream version 0.126.1
  * Bump versioned dependencies as per go.mod
  * Add github.com/gohugoio/hugo-goldmark-extensions/extras v0.1.0
    as a local copy
  * Add livereload/{gen/livereload-hugo-plugin.js,livereload.min.js}
    to DH_GOLANG_INSTALL_EXTRA
  * Add livereload/gen to DH_GOLANG_EXCLUDES to avoid building /usr/bin/gen

 -- Anthony Fok <foka@debian.org>  Mon, 20 May 2024 20:05:43 -0600

hugo (0.125.7-1) unstable; urgency=medium

  * New upstream version 0.125.7
  * Add EXTRA_NON_GOHUGOIO_GO_MODULES and execute_before_dh_auto_configure
    to debian/rules to make it easier to install temporary Go modules
  * Build with a temporary copy of github.com/getkin/kin-openapi v0.123.0
    instead of the packaged golang-github-getkin-kin-openapi-dev 0.124.0-1.
    Upstream has received reports from users of Hugo's `openapi3.Unmarshal`
    about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
    for now, pending further investigation.

 -- Anthony Fok <foka@debian.org>  Sat, 11 May 2024 03:18:03 -0600

hugo (0.125.6-1) unstable; urgency=medium

  * New upstream version 0.125.6

 -- Anthony Fok <foka@debian.org>  Tue, 07 May 2024 18:32:42 -0600

hugo (0.125.5-1) unstable; urgency=medium

  * New upstream version 0.125.5

 -- Anthony Fok <foka@debian.org>  Thu, 02 May 2024 04:23:19 -0600

hugo (0.125.4-1) unstable; urgency=medium

  * New upstream version 0.125.4
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 23:04:34 -0600

hugo (0.124.1-1) unstable; urgency=medium

  * New upstream version 0.124.1
  * Update versioned dependencies as per go.mod
  * Bump github.com/gohugoio/hugo-goldmark-extensions/passthrough to v0.2.0
  * Revert "Patch resources/image_test.go to set usesFMA as true on riscv64"
    which is part of the v0.124.1 upstream release
  * Delete unused 0003-increase-timeout-in-TestPageBundlerSiteRegular.patch

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 21:00:41 -0600

hugo (0.123.8-2) unstable; urgency=medium

  * Add dependency on golang-github-makeworld-the-better-one-dither-dev.
    Revert "Add local copy of github.com/makeworld-the-better-one/dither/v2"
  * Patch resources/image_test.go to set usesFMA as true on riscv64.
    Fixes TestImageOperationsGolden "values are not deep equal" error
    on riscv64 with Go 1.22 and above;
    see https://github.com/gohugoio/hugo/pull/12284

 -- Anthony Fok <foka@debian.org>  Tue, 19 Mar 2024 22:03:57 -0600

hugo (0.123.8-1) unstable; urgency=medium

  * New upstream version 0.123.8

 -- Anthony Fok <foka@debian.org>  Sat, 09 Mar 2024 13:09:01 -0700

hugo (0.123.7-1) unstable; urgency=medium

  * New upstream version 0.123.7
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 01 Mar 2024 09:57:11 -0700

hugo (0.123.3-1) unstable; urgency=medium

  * New upstream version 0.123.3
  * Update dependencies as per go.mod
  * Refresh patches to skip several new npm-related tests
  * Disable 0003-increase-timeout-in-TestPageBundlerSiteRegular.patch
    as the test seems to have been removed
  * Override Lintian false-positive "source-is-missing" error
    on instagram.html shortcode
  * Update debian/copyright files listings:
    - Remove hugolib/assets/images/sunset.jpg
    - Add check_gofmt.sh
  * Add local copy of github.com/makeworld-the-better-one/dither/v2
    temporarily while golang-github-makeworld-the-better-one-dither awaits
    in the NEW queue

 -- Anthony Fok <foka@debian.org>  Sat, 24 Feb 2024 23:09:10 -0700

hugo (0.122.0-1) unstable; urgency=medium

  * New upstream version 0.122.0
  * Add github.com/gohugoio/hugo-goldmark-extensions/passthrough v0.1.0
    as a local copy
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 04 Feb 2024 07:35:47 -0700

hugo (0.121.2-1) unstable; urgency=medium

  * New upstream version 0.121.2
  * Build-depend on golang-golang-x-crypto-dev (>= 1:0.17.0)
    as per go.mod for CVE-2023-48795 (even if unlikely to affect Hugo)

 -- Anthony Fok <foka@debian.org>  Sun, 07 Jan 2024 08:44:01 -0700

hugo (0.121.1-1) unstable; urgency=medium

  * New upstream version 0.121.1
  * Bump versioned dependencies as per go.mod
  * debian/copyright: Add docs/assets to list of files

 -- Anthony Fok <foka@debian.org>  Sat, 30 Dec 2023 07:03:36 -0700

hugo (0.120.4-1) unstable; urgency=medium

  * New upstream version 0.120.4

 -- Anthony Fok <foka@debian.org>  Thu, 30 Nov 2023 14:09:44 -0700

hugo (0.120.3-1) unstable; urgency=medium

  * New upstream version 0.120.3
  * Bump versioned dependencies as per go.mod
  * Add mod_get.txt and mod_get_u.txt to 0002-skip-TestCommands-mod.patch
  * Remove docs/resources/* and docs/resources/.gitattributes from
    debian/copyright; fixes Lintian superfluous-file-pattern warnings

 -- Anthony Fok <foka@debian.org>  Tue, 07 Nov 2023 16:07:34 -0700

hugo (0.119.0-2) unstable; urgency=medium

  * Remove temporary local copy of github.com/bep/logg v0.2.0 as
    golang-github-bep-logg has been accepted into the Debian archive! Yay!

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 17:06:00 -0600

hugo (0.119.0-1) unstable; urgency=medium

  * New upstream version 0.119.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 00:59:40 -0600

hugo (0.118.2-1) unstable; urgency=medium

  * New upstream version 0.118.2
  * Bump versioned dependencies as per go.mod
  * Refresh 0002-skip-TestCommands-mod.patch,
    removing testscripts/commands/mod__disable.txt too
  * Remove 0006-Fix-test-with-unicode-15.patch (fixed upstream)
  * Add create/skeletons/{site,theme} to DH_GOLANG_INSTALL_EXTRA

 -- Anthony Fok <foka@debian.org>  Wed, 11 Oct 2023 07:53:35 -0600

hugo (0.117.0-1) unstable; urgency=medium

  * New upstream version 0.117.0
  * Bump versioned dependencies as per go.mod
  * Update bundled copy of github.com/gohugoio/go-i18n/v2
    from v2.1.3-0.20210430103248-4c28c89f8013
      to v2.1.3-0.20230805085216-e63c13218d0e
  * Refresh 0004-skip-tests-that-access-the-internet.patch:
    TestGetResourceHead is renamed to TestGetRemoteHead
    in resources/resource_factories/create/integration_test.go

 -- Anthony Fok <foka@debian.org>  Tue, 10 Oct 2023 07:50:52 -0600

hugo (0.116.1-1) unstable; urgency=medium

  * New upstream version 0.116.1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 08:54:16 -0600

hugo (0.115.4-1) unstable; urgency=medium

  * New upstream version 0.115.4
  * Bump versioned dependencies as per go.mod
  * Refresh Debian patches
    - 0002-skip-TestCommands-mod.patch: Skip TestCommands/mod_vendor too

 -- Anthony Fok <foka@debian.org>  Sun, 08 Oct 2023 02:10:50 -0600

hugo (0.114.1-2) unstable; urgency=medium

  * Move github.com/gohugoio/* stuff to execute_after_dh_auto_configure
    to eliminate "mkdir -p _build/src/github.com/gohugoio"
  * Add temporary local copy of github.com/bep/logg v0.2.0
    while golang-github-bep-logg waits in the NEW queue (Closes: #1052834)
  * Add golang-github-bep-clocks-dev (>= 0.5.0) as build-dependency
    needed for github.com/bep/logg and future Hugo versions

 -- Anthony Fok <foka@debian.org>  Sun, 08 Oct 2023 01:44:39 -0600

hugo (0.114.1-1) unstable; urgency=medium

  * New upstream version 0.114.1
  * Update versioned dependencies as per go.mod
  * Refresh Debian patches

 -- Anthony Fok <foka@debian.org>  Thu, 21 Sep 2023 05:18:33 -0600

hugo (0.113.0-3) unstable; urgency=medium

  * Team upload
  * Backport patch to fix build with Go1.21
  * Bump to golang-1.21 on ppc64

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 30 Aug 2023 16:06:23 +0800

hugo (0.113.0-2) unstable; urgency=medium

  * Skip TestEmbeddedShortcodes except during autopkgtest
    as the tested {{< tweet >}} shortcode needs access to the internet.
    Thanks to Dave Jones for helping me with syncing to Ubuntu! (LP: #2025668)

 -- Anthony Fok <foka@debian.org>  Thu, 06 Jul 2023 09:15:58 -0600

hugo (0.113.0-1) unstable; urgency=medium

  * New upstream version 0.113.0
  * Remove temporary local copy of github.com/bep/lazycache v0.2.0
    and build-depend on golang-github-bep-lazycache-dev (>= 0.2.0) instead
  * Add build-dependency: golang-github-bep-mclib-dev (>= 1.20400.20402)

 -- Anthony Fok <foka@debian.org>  Mon, 03 Jul 2023 10:44:51 -0600

hugo (0.112.7-1) unstable; urgency=medium

  * New upstream version 0.112.7
  * Update versioned dependencies as per go.mod
  * Remove 0002-disable-TestPageWithLastmodFromGitInfo.patch
    as TestPageWithLastmodFromGitInfo was removed upstream,
    and refresh 0003-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Install testscripts/commands/*.txt so that TestCommands() does not fail
    with "no txtar nor txt scripts found in dir testscripts/commands"
  * Add debian/patches/0002-skip-TestCommands-mod.patch to remove
    testscripts/commands/mod.txt which fails during Debian package build
  * Update file list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Thu, 29 Jun 2023 02:26:46 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog hugo`.
